--- old/usr/src/cmd/svc/svcs/svcs.c	Tue Oct 15 09:10:39 2019
+++ new/usr/src/cmd/svc/svcs/svcs.c	Tue Oct 15 09:10:39 2019
@@ -2629,9 +2629,8 @@
 	return (0);
 }
 
-/* ARGSUSED */
 static int
-print_log(void *unused, scf_walkinfo_t *wip)
+print_log(void *unused __unused, scf_walkinfo_t *wip)
 {
 	scf_propertygroup_t *rpg;
 	char buf[MAXPATHLEN];
@@ -2649,6 +2648,9 @@
 	if (pg_get_single_val(rpg, SCF_PROPERTY_LOGFILE,
 	    SCF_TYPE_ASTRING, buf, sizeof (buf), 0) == 0) {
 		(void) printf("%s\n", buf);
+	} else if (pg_get_single_val(rpg, SCF_PROPERTY_ALT_LOGFILE,
+	    SCF_TYPE_ASTRING, buf, sizeof (buf), 0) == 0) {
+		(void) printf("%s\n", buf);
 	}
 
 out:
